Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.google.metadata
Class GGWidgetMetaData

    java.lang.Object
      org.jboss.portal.widget.google.metadata.GGWidgetMetaData

    public class GGWidgetMetaData

extends java.lang.Object

Version:
  $Revision: 8784 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`GGWidgetMetaData()`

Method Summary
`java.lang.String` | `getAuthor()`
`java.lang.String` | `getAuthorAboutme()`
`java.lang.String` | `getAuthorAffiliation()`
`java.lang.String` | `getAuthorEmail()`
`java.lang.String` | `getAuthorLink()`
`java.lang.String` | `getAuthorLocaltion()`
`java.lang.String` | `getAuthorPhoto()`
`java.lang.String` | `getAuthorQuote()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDirectoryTitle()`
`java.lang.String` | `getGuid()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getLink()`
`java.lang.String` | `getScreenshot()`
`java.lang.String` | `getThumbnail()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getTitleURL()`
`java.lang.String` | `getWidth()`
`void` | `setAuthor(java.lang.String author)`
`void` | `setAuthorAboutme(java.lang.String authorAboutme)`
`void` | `setAuthorAffiliation(java.lang.String authorAffiliation)`
`void` | `setAuthorEmail(java.lang.String authorEmail)`
`void` | `setAuthorLink(java.lang.String authorLink)`
`void` | `setAuthorLocaltion(java.lang.String authorLocaltion)`
`void` | `setAuthorPhoto(java.lang.String authorPhoto)`
`void` | `setAuthorQuote(java.lang.String authorQuote)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDirectoryTitle(java.lang.String directoryTitle)`
`void` | `setGuid(java.lang.String guid)`
`void` | `setHeight(java.lang.String height)`
`void` | `setLink(java.lang.String link)`
`void` | `setScreenshot(java.lang.String screenshot)`
`void` | `setThumbnail(java.lang.String thumbnail)`
`void` | `setTitle(java.lang.String title)`
`void` | `setTitleURL(java.lang.String titleURL)`
`void` | `setWidth(java.lang.String width)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GGWidgetMetaData

    public GGWidgetMetaData()

Method Detail

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getLink

    public java.lang.String getLink()

### setLink

    public void setLink(java.lang.String link)

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String guid)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getAuthorEmail

    public java.lang.String getAuthorEmail()

### setAuthorEmail

    public void setAuthorEmail(java.lang.String authorEmail)

### getScreenshot

    public java.lang.String getScreenshot()

### setScreenshot

    public void setScreenshot(java.lang.String screenshot)

### getThumbnail

    public java.lang.String getThumbnail()

### setThumbnail

    public void setThumbnail(java.lang.String thumbnail)

### getAuthorLocaltion

    public java.lang.String getAuthorLocaltion()

### setAuthorLocaltion

    public void setAuthorLocaltion(java.lang.String authorLocaltion)

### getAuthorAffiliation

    public java.lang.String getAuthorAffiliation()

### setAuthorAffiliation

    public void setAuthorAffiliation(java.lang.String authorAffiliation)

### getTitleURL

    public java.lang.String getTitleURL()

### setTitleURL

    public void setTitleURL(java.lang.String titleURL)

### getDirectoryTitle

    public java.lang.String getDirectoryTitle()

### setDirectoryTitle

    public void setDirectoryTitle(java.lang.String directoryTitle)

### getAuthorPhoto

    public java.lang.String getAuthorPhoto()

### setAuthorPhoto

    public void setAuthorPhoto(java.lang.String authorPhoto)

### getAuthorAboutme

    public java.lang.String getAuthorAboutme()

### setAuthorAboutme

    public void setAuthorAboutme(java.lang.String authorAboutme)

### getAuthorLink

    public java.lang.String getAuthorLink()

### setAuthorLink

    public void setAuthorLink(java.lang.String authorLink)

### getAuthorQuote

    public java.lang.String getAuthorQuote()

### setAuthorQuote

    public void setAuthorQuote(java.lang.String authorQuote)

### getWidth

    public java.lang.String getWidth()

### setWidth

    public void setWidth(java.lang.String width)

### getHeight

    public java.lang.String getHeight()

### setHeight

    public void setHeight(java.lang.String height)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD